Skip to main content
GET
Returns stock movement history for a warehouse with optional time, article, and bin location.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Query Parameters

warehouseId
string<uuid>
required

Warehouse to scope movement history query.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

startTime
string<date-time>

Optional start timestamp filter (inclusive).

endTime
string<date-time>

Optional end timestamp filter (inclusive).

article
string

Optional article text filter (number, name, barcode).

sourceBinLocation
string

Optional source bin location partial-name filter.

targetBinLocation
string

Optional target bin location partial-name filter.

pageNumber
integer<int32>

Number of the page of items to fetch. Defaults to 1 when omitted.

pageSize
integer<int32>

Size of the page specified by PageNumber. Defaults to 100 when omitted.

sortBy
string

Property to sort by. Multiple comma-separated fields are applied in order (OrderBy, then ThenBy).

sortDescending
boolean

Sort in descending order. Defaults to ascending when omitted.

bestBeforeDateAfter
string<date-time>

Only include items whose BestBeforeDate is after (greater than) this value.

bestBeforeDateBefore
string<date-time>

Only include items whose BestBeforeDate is before (less than) this value.

timestampAfter
string<date-time>

Only include items whose Timestamp is after (greater than) this value.

timestampBefore
string<date-time>

Only include items whose Timestamp is before (less than) this value.

Response

Paged result.

totalItems
integer<int32>
required
pageNumber
integer<int32>
required
pageSize
integer<int32>
required
items
object[]
required
totalPages
integer<int32>
hasPreviousPage
boolean
hasNextPage
boolean
nextPageNumber
integer<int32>
previousPageNumber
integer<int32>